Skip to content
Evidence

One document with its revisions and where it is used

Scope: readSee also:Authentication ·Errors ·Pagination ·Rate limits
GET
/evidence/{evidenceId}

Any member.

Authorization

apiKey
headerAuthorizationBearer <token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Path Parameters

evidenceId*string
Formatuuid

Response Body

The document.

application/json
  1. response
access_tier*Tier

Access tier of a field on the passport (Art. 77(2), Annex XIII).

Value in"public""legitimate_interest""authority""internal"
created_at*string
Formatdate-time
filename*string
id*string
Formatuuid
kind*EvidenceKind
Value in"declaration_of_conformity""test_report""dismantling_manual""safety_instructions""datasheet""diagnostic_report""study""image""other"
mime*string
revision*integer
Range1 <= value
revisions?array<>

All revisions of the document, newest first (getEvidence only).

sha256*string
Match^[0-9a-f]{64}$
size_bytes*integer
Formatint64
source*EvidenceSource
Value in"manual""supplier"
superseded?
supersedes?string

The previous revision of this document.

Formatuuid
supplier_request_id?string
Formatuuid
title*string
uploaded_by?
usages?array<>

Where the document is linked or used as a value (getEvidence only).

Example Request
curl -X GET 'https://example.com/api/v1/evidence/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "access_tier": "public",  "created_at": "2019-08-24T14:15:22Z",  "filename": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "declaration_of_conformity",  "mime": "string",  "revision": 1,  "revisions": [    {      "access_tier": "public",      "filename": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "declaration_of_conformity",      "revision": 1,      "superseded": true,      "title": "string"    }  ],  "sha256": "string",  "size_bytes": 0,  "source": "manual",  "superseded": {    "at": "2019-08-24T14:15:22Z",    "by": {      "display_name": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"    },    "reason": "string",    "replaced_by": "0b11f089-722d-4ced-9beb-e2eeed3637dc"  },  "supersedes": "09391fa8-b623-4dc7-8d11-2a46489536bf",  "supplier_request_id": "91c3318c-6ca4-4604-8d47-6233c017cc79",  "title": "string",  "uploaded_by": {    "display_name": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"  },  "usages": [    {      "declared_value": null,      "field_key": "string",      "target": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "model_version"      },      "target_label": "string",      "via": "link"    }  ]}